class SessionsController < ApplicationController

  def new
  end

  def create
    citizen = Citizen.find_by(login: params[:session][:login].downcase)
    if citizen && citizen.authenticate(params[:session][:password]) && citizen.admin?
      sign_in citizen
      redirect_back_or root_url
    else
      flash.now[:error] = 'Login o password incorrectos'
      render 'new'
    end
  end

  def destroy
    sign_out
    redirect_to root_url
  end
end
