class CreatePosts < ActiveRecord::Migration
  def change
    create_table :posts do |t|
      t.string :title
      t.text :body
      t.boolean :closed, default: false
      t.integer :citizen_id

      t.timestamps
    end
    add_index :posts, [:citizen_id, :created_at]
  end
end
