include ApplicationHelper

def sign_in(citizen, options={})
  if options[:no_capybara]
    # Sign in when not using Capybara.
    if citizen.admin?
      remember_token = Citizen.new_remember_token
      cookies[:remember_token] = remember_token
      citizen.update_attribute(:remember_token, Citizen.digest(remember_token))
    end
  else
    visit signin_path
    fill_in "Login",    with: citizen.login.upcase
    fill_in "Password", with: citizen.password
    click_button "Entrar"
  end
end