package org.masantamaria.socialpolis.api;

import org.masantamaria.socialpolis.model.Citizen;
import org.masantamaria.socialpolis.model.SocialPolisToken;

import retrofit.Callback;
import retrofit.client.Response;
import retrofit.http.Body;
import retrofit.http.DELETE;
import retrofit.http.Header;
import retrofit.http.POST;

public interface SocialPolis {
	
	@POST("/sessions")
	void login(@Body Citizen citizen, Callback<SocialPolisToken> cb);
	
	@DELETE("/sessions")
	void logout(@Header("Authorization") String token, Callback<Citizen> cb);
	
	@POST("/citizens")
	void createCitizen(@Body Citizen citizen, Callback<Response> cb);
	
}
