package org.masantamaria.socialpolis.model;

import com.google.gson.annotations.*;

public class Citizen {
	
	private String login;
	private String name;
	private String password;
	@SerializedName("password_confirmation")
	private String passwordConfirmation;
	
	public Citizen(String login, String password) {
		this(login, null, password, null);
	}
	
	public Citizen(String login, String name, String password, String passwordConfirmation) {
		this.login = login;
		this.name = name;
		this.password = password;
		this.passwordConfirmation = passwordConfirmation;
	}
	
	public String getLogin() {
		return login;
	}
	
	public String getName() {
		return name;
	}
	
	public String getPassword() {
		return password;
	}
	
	public String getPasswordConfirmation() {
		return passwordConfirmation;
	}
	
	public void setLogin(String login) {
		this.login = login;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public void setPassword(String password) {
		this.password = password;
	}
	
	public void setPasswordConfirmation(String passwordConfirmation) {
		this.passwordConfirmation = passwordConfirmation;
	}

}
