class CitizensController < ApplicationController
  before_action :signed_in_citizen, only: [:index, :show] 

  # citizen creation is only allowed from Android app
  #def new
  #end

  def show
    @citizen = Citizen.find(params[:id])
    @posts = @citizen.posts.paginate(page: params[:page])
  end

  def index
    @citizens = Citizen.paginate(page: params[:page])
  end

  private

    def citizen_params
      params.require(:citizen).permit(:name, :login, :password,
                                   :password_confirmation)
    end
end
