class Post < ActiveRecord::Base
  belongs_to :citizen
  has_many :comments
  default_scope -> { order('created_at DESC') }
  validates :title, presence: true
  validates :citizen_id, presence: true
end
