FactoryGirl.define do
  factory :citizen do
    sequence(:name) { |n| "Ciudadano #{n}" }
    sequence(:login) { |n| "ciudadano_#{n}@ejemplo.com" }
    password "password"
    password_confirmation "password"

    factory :admin do
      admin true
    end
  end

  factory :post do
    sequence(:title) { |n| "Entrada #{n}" }
    body "Bla bla bla bla bla bla ..."
    citizen
  end

  factory :comment do
    body "Bla bla bla bla bla bla, comentario ..."
    citizen
    post
  end
end